package aufgabe5;

import org.junit.Test;

/**
 * Generic test class for testing animals
 *                _ _   _               _
 * __      ___ __(_) |_| |_ ___ _ __   | |__  _   _
 * \ \ /\ / / '__| | __| __/ _ \ '_ \  | '_ \| | | |
 *  \ V  V /| |  | | |_| ||  __/ | | | | |_) | |_| |
 *   \_/\_/ |_|  |_|\__|\__\___|_| |_| |_.__/ \__, |
 *                                            |___/
 *  ____                  __     __               _
 * / ___|_   _____ _ __   \ \   / /__   __ _  ___| |
 * \___ \ \ / / _ \ '_ \   \ \ / / _ \ / _` |/ _ \ |
 *  ___) \ V /  __/ | | |   \ V / (_) | (_| |  __/ |
 * |____/ \_/ \___|_| |_|    \_/ \___/ \__, |\___|_|
 *                                     |___/
 * Licensed under the GPLv2 License, Version 2.0 (the "License");
 * Copyright (c) Sven Vogel
 */
public class TestAnimals {
    @Test
    public void test() {
        var tier = new Tier(99, "blut rot");
        var tausendsasser = new Tausendfuessler("tausend füssler schwarz");
        var elefranz = new Elephant();

        var schlachtHof = new Gehege(5, 0.5);

        schlachtHof.addTier(tier);
        schlachtHof.addTier(tausendsasser);
        schlachtHof.addTier(elefranz);

        schlachtHof.removeTier(tausendsasser);

        tausendsasser.beineEntheddern();
        tausendsasser.beineVerheddern();

        elefranz.trompeten(4.0);

        tier.fressen();
        tier.laufen(4300_000);
    }
}
