package aufgabe5;

import javax.swing.*;

/**
 * Generic test class for testing
 * kgv and ggt
 * <p>
 * Licensed under the GPLv2 License, Version 2.0 (the "License");
 * Copyright (c) Sven Vogel
 * <p>
 * NOTE: following code mostly copied from the teacher,
 * expect no comments or functionality
 */
public class Main {

    public static void main(String[] args) {
        while (true) {
            String z1_S = null;
            String z2_S = null;
            int z1 = 0;
            int z2 = 0;
            z1_S = JOptionPane.showInputDialog("Bitte erste Zahl (positiv und ganz)");
            if (z1_S == null) break;
            z2_S = JOptionPane.showInputDialog("Bitte zweite ganze Zahl (positiv und ganz)");
            if (z2_S == null) break;
            try {
                z1 = Integer.parseInt(z1_S);
                z2 = Integer.parseInt(z2_S);
            } catch (NumberFormatException e) {
                JOptionPane.showMessageDialog(null, "Bitte korrekte Zahlen eingeben");
                continue;
            }
            String action = getAction_Dialog("KGV berechnen", "GGT berechnen");
            if (action == null)
                break;
            try {
                switch (action) {
                    case "KGV berechnen":
                        JOptionPane.showMessageDialog(null, "KGV von " + z1 + ", " + z2 + "=" + Rechnen.kgv(z1, z2));
                        break;
                    case "GGT berechnen":
                        JOptionPane.showMessageDialog(null, "GGT von " + z1 + ", " + z2 + "=" + Rechnen.ggt(z1, z2));
                        break;
                }
            } catch (IllegalArgumentException e) {
                JOptionPane.showMessageDialog(null, "Bitte geben Sie positive Zahlen ein!");
                continue;
            }
        }
        JOptionPane.showMessageDialog(null, "Danke und auf Wiedersehen!");
        System.exit(0);
    }

    private static String getAction_Dialog(String... actions) {
        JRadioButton[] buttons = new JRadioButton[actions.length];
        ButtonGroup group = new ButtonGroup();
        for (int i = 0; i < actions.length; i++) {
            buttons[i] = new JRadioButton(actions[i]);
            group.add(buttons[i]);
        }
        buttons[0].setSelected(true);
        Object[] message = buttons;
        Object[] options = { "OK", "Abbruch" };
        int n = JOptionPane.showOptionDialog(new JFrame(), message, "Aktionswahl",
        JOptionPane.YES_NO_OPTION,
        JOptionPane.QUESTION_MESSAGE, null, options, options[0]);
        if (n == JOptionPane.OK_OPTION) {
            for (int i = 0; i < actions.length; i++) {
                if (buttons[i].isSelected()) {
                    return actions[i];
                }
            }
        }
        return null;
    }
}