package aufgabe5;

/**
 * Generic test class defining an animal
 *                _ _   _               _
 * __      ___ __(_) |_| |_ ___ _ __   | |__  _   _
 * \ \ /\ / / '__| | __| __/ _ \ '_ \  | '_ \| | | |
 *  \ V  V /| |  | | |_| ||  __/ | | | | |_) | |_| |
 *   \_/\_/ |_|  |_|\__|\__\___|_| |_| |_.__/ \__, |
 *                                            |___/
 *  ____                  __     __               _
 * / ___|_   _____ _ __   \ \   / /__   __ _  ___| |
 * \___ \ \ / / _ \ '_ \   \ \ / / _ \ / _` |/ _ \ |
 *  ___) \ V /  __/ | | |   \ V / (_) | (_| |  __/ |
 * |____/ \_/ \___|_| |_|    \_/ \___/ \__, |\___|_|
 *                                     |___/
 * Licensed under the GPLv2 License, Version 2.0 (the "License");
 * Copyright (c) Sven Vogel
 */
@SuppressWarnings("unused")
public class Tier {
    private final int anzahlBeine;
    private final String farbe;

    public Tier(int anzahlBeine, String farbe) {
        this.anzahlBeine = anzahlBeine;
        this.farbe = farbe;
    }

    /**
     * Walk a certain distance.
     * Does effectively nothing.
     * @param strecke the distance to walk
     */
    public void laufen(double strecke) {
        // walk the distance
        System.out.println(strecke + "m gelaufen");
    }

    /**
     * Eat sth.
     * Does effectively nothing.
     */
    public void fressen() {
        // eat sth.
        System.out.println("yum yum yum yum yum yum yum yum");
    }
}
