package aufgabe5;

/**
 * Generic test class for implementing
 * ggt and kgv
 *                _ _   _               _
 * __      ___ __(_) |_| |_ ___ _ __   | |__  _   _
 * \ \ /\ / / '__| | __| __/ _ \ '_ \  | '_ \| | | |
 *  \ V  V /| |  | | |_| ||  __/ | | | | |_) | |_| |
 *   \_/\_/ |_|  |_|\__|\__\___|_| |_| |_.__/ \__, |
 *                                            |___/
 *  ____                  __     __               _
 * / ___|_   _____ _ __   \ \   / /__   __ _  ___| |
 * \___ \ \ / / _ \ '_ \   \ \ / / _ \ / _` |/ _ \ |
 *  ___) \ V /  __/ | | |   \ V / (_) | (_| |  __/ |
 * |____/ \_/ \___|_| |_|    \_/ \___/ \__, |\___|_|
 *                                     |___/
 * Licensed under the GPLv2 License, Version 2.0 (the "License");
 * Copyright (c) Sven Vogel
 */
public class Rechnen {
    /**
     * compute the greatest common divisor of x and y
     * @param x the first number to compute the greatest common divisor of
     * @param y the second number to compute the greatest common divisor of
     * @return the greatest common divisor of x and y
     */
    public static int ggt(int x, int y) {
        if (y == 0)
            return x;

        return ggt(y, y % x);
    }

    /**
     * compute the smallest common multiple of x and y
     * @param x the first number to compute the smallest common multiple of
     * @param y the second number to compute the smallest common multiple of
     * @return the smallest common multiple of x and y
     */
    public static int kgv(int x, int y) {
        return (x * y) / ggt(x, y);
    }
}