package aufgabe2;

import javax.swing.*;

/**
 * Generic test class for testing dynamic string arrays
 *                _ _   _               _
 * __      ___ __(_) |_| |_ ___ _ __   | |__  _   _
 * \ \ /\ / / '__| | __| __/ _ \ '_ \  | '_ \| | | |
 *  \ V  V /| |  | | |_| ||  __/ | | | | |_) | |_| |
 *   \_/\_/ |_|  |_|\__|\__\___|_| |_| |_.__/ \__, |
 *                                            |___/
 *  ____                  __     __               _
 * / ___|_   _____ _ __   \ \   / /__   __ _  ___| |
 * \___ \ \ / / _ \ '_ \   \ \ / / _ \ / _` |/ _ \ |
 *  ___) \ V /  __/ | | |   \ V / (_) | (_| |  __/ |
 * |____/ \_/ \___|_| |_|    \_/ \___/ \__, |\___|_|
 *                                     |___/
 * Licensed under the GPLv2 License, Version 2.0 (the "License");
 * Copyright (c) Sven Vogel
 */
public class UI {

    public static void main(String[] args) {
        var array = new DynamicStringArray();

        while (true) {
            String next = JOptionPane.showInputDialog("Naechste Eingabe");

            if (next == null)
                break;

            array.add(next);
        }

        for (int i = 0; i < array.length(); i++) {
            JOptionPane.showMessageDialog(null, array.get(i));
        }
    }
}