package aufgabe3;

import javax.swing.*;

import static aufgabe3.UserInterface.*;

public class Main {

    public static void main(String[] args) {
        var dict = new TelephoneDirectory(10);

        while (true) {
            String action = getActionDialog("Eintrag anlegen", "Eintrag abfragen");
            if (action == null) {
                break;
            }
            if (action.equals("Eintrag anlegen")) {
                String[] entryData = getEntryDataDialog();
                if (entryData != null) {
                    dict.addEntry(entryData[0], entryData[1], entryData[2]);
                }
            } else if (action.equals("Eintrag abfragen")) {
                String[] queryData = getQueryDataDialog();
                if (queryData != null) {
                    String nr = dict.findEntry(queryData[0], queryData[1]);
                    if (nr == null) {
                        JOptionPane.showMessageDialog(null, "Nicht gefunden");
                    } else {
                        JOptionPane.showMessageDialog(null,
                                "Name: " + queryData[0] + ", Vornane: " + queryData[1] + ", Nummer:" + nr);
                    }
                }
            } else {
                System.err.println("Fehler: unbekannte Aktion " + action);
                break;
            }
        }
    }
}
