package aufgabe3;

public class TelephoneDirectory {

    private int maxSize = 10; // maximale Zahl der Eintraege
    private int actSize = 0; // aktuelle Zahl der Eintraege
    private String[] name = new String[maxSize]; // alle Namen
    private String[] firstName = new String[maxSize]; // alle Vornamen
    private String[] number = new String[maxSize]; // alle Nummern

    public TelephoneDirectory(int maxSize) {
        this.maxSize = maxSize;
        this.actSize = 0;

        this.name = new String[maxSize];
        this.firstName = new String[maxSize];
        this.number = new String[maxSize];
    }

    public String findEntry(String nameP, String firstNameP) {
        for (int i = 0; i < actSize; i++) {
            if (name[i].equals(nameP) && firstName[i].equals(firstNameP)) {
                return number[i];
            }
        }
        return null;
    }

    public void addEntry(String nameP, String firstNameP, String numberP) {
        if (actSize == maxSize) {
            System.err.println("Eintrag ignoriert: Speicher voll");
            return;
        }
        for (int i = 0; i < actSize; i++) {
            if (name[i].equals(nameP) && firstName[i].equals(firstNameP)) {
                System.err.println("Eintrag ignoriert: Existiert schon");
                return;
            }
        }
        name[actSize] = nameP;
        firstName[actSize] = firstNameP;
        number[actSize] = numberP;
        actSize = actSize + 1;
    }
}
