package aufgabe3;

import javax.swing.*;

public class UserInterface {

    static String getActionDialog(String... actions) {
        return (String) JOptionPane.showInputDialog(null, "Was soll getan werden?",
                "Aktions-Wahl",
                JOptionPane.QUESTION_MESSAGE, null, actions, actions[0]);
    }

    static String[] getEntryDataDialog() {
        JTextField nameTF = new JTextField();
        JTextField firstNameTF = new JTextField();
        JTextField numberTF = new JTextField();
        Object[] message = {"Name", nameTF, "Vorname", firstNameTF, "Nummer", numberTF};
        Object[] options = {"OK", "Abbruch"};
        int n = JOptionPane.showOptionDialog(null, message, "Eintrag anlegen",
                JOptionPane.YES_NO_OPTION,
                JOptionPane.QUESTION_MESSAGE, null, options, options[0]);
        if (n == JOptionPane.OK_OPTION) { // Zustimmung
            return new String[]{nameTF.getText(), firstNameTF.getText(),
                    numberTF.getText()};
        } else if (n == JOptionPane.NO_OPTION // Verneinung
                || n == JOptionPane.CLOSED_OPTION) { // Dialogfenster geschlossen
            return null;
        } else {
            return null;
        }
    }

    static String[] getQueryDataDialog() {
        JTextField nameTF = new JTextField();
        JTextField firstNameTF = new JTextField();
        Object[] message = {"Name", nameTF, "Vorname", firstNameTF};
        Object[] options = {"OK", "Abbruch"};
        int n = JOptionPane.showOptionDialog(null, message, "Eintrag abfragen",
                JOptionPane.YES_NO_OPTION,
                JOptionPane.QUESTION_MESSAGE, null, options, options[0]);
        if (n == JOptionPane.OK_OPTION) { // Zustimmung
            return new String[]{nameTF.getText(), firstNameTF.getText()};
        } else if (n == JOptionPane.NO_OPTION // Verneinung
                || n == JOptionPane.CLOSED_OPTION) { // Dialogfenster geschlossen
            return null;
        } else {
            return null;
        }
    }
}
